package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源设施/系统子类对象 dim_ems_facs_subtype
 * 
 * @author ruoyi
 * @date 2024-07-10
 */
public class EmsFacsSubtype extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 设施子类代码 */
    @Excel(name = "设施子类代码")
    private String code;

    /** 设施子类名称 */
    @Excel(name = "设施子类名称")
    private String name;

    /** 所属设施系统分类代码 */
    @Excel(name = "所属设施系统分类代码")
    private String parentCode;

    /** 说明 */
    @Excel(name = "说明")
    private String desc;

    /** 数据版本 */
    @Excel(name = "数据版本")
    private String version;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setParentCode(String parentCode) 
    {
        this.parentCode = parentCode;
    }

    public String getParentCode() 
    {
        return parentCode;
    }
    public void setDesc(String desc) 
    {
        this.desc = desc;
    }

    public String getDesc() 
    {
        return desc;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("parentCode", getParentCode())
            .append("desc", getDesc())
            .append("version", getVersion())
            .toString();
    }
}
